View source Improve this doc

# `$animateProvider`
service in module `ng`

## Description

Default implementation of $animate that doesn't perform any animations, instead just synchronously performs DOM updates and calls done() callbacks.

In order to enable animations the ngAnimate module has to be loaded.

To see the functional implementation check out src/ngAnimate/animate.js

## Methods

- ### register(name, factory)

  Registers a new injectable animation factory function. The factory function produces the animation object which contains callback functions for each event that is expected to be animated.

  - `eventFn`: `function(Element, doneFunction)` The element to animate, the `doneFunction` must be called once the element animation is complete. If a function is returned then the animation service will use this function to cancel the animation whenever a cancel event is triggered.

        return {
          eventFn : function(element, done) {
            //code to run the animation
            //once complete, then run done()
            return function cancellationFunction() {
              //code to cancel the animation
            }
          }
        }

  ##### Parameters

  Param | Type | Details
  --- | --- | ---
  name | string | The name of the animation.
  factory | function | The factory function that will be executed to return the animation object.